Bug 1371641 - EPEL installation must be removed from all plugins
Summary: EPEL installation must be removed from all plugins
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-sahara
Version: 10.0 (Newton)
Hardware: noarch
OS: Linux
unspecified
high
Target Milestone: rc
: 10.0 (Newton)
Assignee: Telles Nobrega
QA Contact: Luigi Toscano
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-30 17:17 UTC by Elise Gafford
Modified: 2016-12-14 15:54 UTC (History)
5 users (show)

Fixed In Version: openstack-sahara-5.0.0-2.el7ost
Doc Type: No Doc Update
Doc Text:
-
Clone Of:
Environment:
Last Closed: 2016-12-14 15:54:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Description Elise Gafford 2016-08-30 17:17:57 UTC
Description of problem:

It is not acceptable to depend on EPEL in RHOS. This bug will track the removal of EPEL installation from all Sahara plugins for RHOS 10.

Comment 3 Telles Nobrega 2016-10-13 15:02:18 UTC
openstack-sahara-5.0.0-2.el7ost

Comment 6 Luigi Toscano 2016-11-03 17:58:45 UTC
References to EPEL repository and its configuration at run-time has been removed (the only offending one was the MapR plugin). This has the side effect that a  RHEL7/MapR image can't currently be provisioned because few packages (at least the ones related to soci-mysql) are available only in EPEL. But this is a different issue.

Verified on:
openstack-sahara-api-5.0.0-3.el7ost.noarch
openstack-sahara-common-5.0.0-3.el7ost.noarch
openstack-sahara-engine-5.0.0-3.el7ost.noarch
python-sahara-5.0.0-3.el7ost.noarch

Comment 8 errata-xmlrpc 2016-12-14 15:54:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.